Error
A valid request URL is required to generate request examples[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"path": "<string>",
"title": "<string>",
"entry_type": "note",
"content": "<string>",
"content_hash": "<string>",
"tags": [
"<string>"
],
"status": "active",
"sync_status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]API Reference
List knowledge entries
Returns knowledge entries for a specific agent. Requires agent_id query parameter. Users can only list entries for agents they own. Admins can list any agent’s entries.
GET
/
knowledge
/
entries
Error
A valid request URL is required to generate request examples[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"path": "<string>",
"title": "<string>",
"entry_type": "note",
"content": "<string>",
"content_hash": "<string>",
"tags": [
"<string>"
],
"status": "active",
"sync_status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Agent ID to list entries for
Optional entry type filter
Available options:
note, plan, decision, journal, research, notebook Response
Entry list
Available options:
note, plan, decision, journal, research, notebook Full markdown content (only included in single-entry reads)
Available options:
active, archived Available options:
pending, synced, quarantined